# Generated by Django 4.2.13 on 2024-06-16 00:56

from decimal import Decimal

import django.core.validators
import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('eveuniverse', '0010_alter_eveindustryactivityduration_eve_type_and_more'),
        ('marketmanager', '0052_alter_managedsupplyconfig_options_and_more'),
    ]

    operations = [
        migrations.AlterField(
            model_name='managedsupplyconfig',
            name='managed_region',
            field=models.ManyToManyField(blank=True, related_name='+', to='eveuniverse.everegion', verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='order',
            name='eve_region',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='eveuniverse.everegion', verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='priceconfig',
            name='region',
            field=models.ManyToManyField(blank=True, related_name='+', to='eveuniverse.everegion', verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='publicconfig',
            name='fetch_regions',
            field=models.ManyToManyField(related_name='+', to='eveuniverse.everegion', verbose_name='Fetch Regions'),
        ),
        migrations.AlterField(
            model_name='supplyconfig',
            name='region',
            field=models.ManyToManyField(blank=True, related_name='+', to='eveuniverse.everegion', verbose_name='Region'),
        ),
        migrations.AlterField(
            model_name='typestatistics',
            name='eve_region',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='+', to='eveuniverse.everegion', verbose_name='Region'),
        ),
        migrations.CreateModel(
            name='MarginConfig',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('importing', models.BooleanField(default=True, help_text='True for Importing, False for Exporting', verbose_name='Import Items?')),
                ('source_buy', models.BooleanField(default=False, help_text='Buy orders in the Source?, False for Sell', verbose_name='Import Items?')),
                ('destination_buy', models.BooleanField(default=False, help_text='Buy orders in the Destination?, False for Sell', verbose_name='Import Items?')),
                ('margin_percent', models.DecimalField(decimal_places=0, default=Decimal('5'), help_text='% difference of an order to highlight', max_digits=4, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)], verbose_name='% Volume')),
                ('last_run', models.DateTimeField(blank=True, null=True, verbose_name='Last Task Runtime')),
                ('channels', models.ManyToManyField(blank=True, to='marketmanager.channel', verbose_name='Channels')),
                ('debug_channels', models.ManyToManyField(blank=True, help_text='Primarily for Testing/Debugging Purposes. This webhook will receive updates on MarginConfigs that _dont_ notify. Because their Configs didnt Meet/Breach.', related_name='+', to='marketmanager.channel', verbose_name='Debug Channels')),
                ('debug_webhooks', models.ManyToManyField(blank=True, help_text='Primarily for Testing/Debugging Purposes. This webhook will receive updates on MarginConfigs that _dont_ notify. Because their Configs didnt Meet/Breach.', related_name='+', to='marketmanager.webhook', verbose_name='Debug Webhook')),
                ('destination_region', models.ManyToManyField(blank=True, related_name='+', to='eveuniverse.everegion', verbose_name='Destination Region')),
                ('eve_group', models.ManyToManyField(blank=True, to='eveuniverse.evegroup', verbose_name='EVE Inventory Group')),
                ('eve_market_group', models.ManyToManyField(blank=True, to='eveuniverse.evemarketgroup', verbose_name='EVE Market Group')),
                ('eve_type', models.ManyToManyField(blank=True, to='eveuniverse.evetype', verbose_name='EVE Type')),
                ('source_region', models.ManyToManyField(blank=True, related_name='+', to='eveuniverse.everegion', verbose_name='Source Region')),
                ('structure_type', models.ManyToManyField(blank=True, help_text='Filter by structure Type/Size/Docking (ie, forts/keeps for cap fuel)', related_name='+', to='eveuniverse.evetype', verbose_name='Structure Type Filter')),
                ('webhooks', models.ManyToManyField(blank=True, to='marketmanager.webhook', verbose_name='Webhooks')),
            ],
            options={
                'verbose_name': 'Margin Configs',
                'verbose_name_plural': 'Margin Configs',
            },
        ),
    ]
